Bug 1307304 - abiword: FTBFS in rawhide
abiword: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 15:59 EST by Fedora Release Engineering
Modified: 2016-04-25 19:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: abiword-3.0.1-10.fc24 abiword-3.0.1-10.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-14 23:19:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (5.01 MB, text/plain)
2016-02-13 15:59 EST, Fedora Release Engineering
no flags Details
root.log (138.58 KB, text/plain)
2016-02-13 15:59 EST, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2016-02-13 15:59 EST, Fedora Release Engineering
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 811381 None None None 2016-02-23 13:28 EST
Abisource 13754 None None None 2016-02-23 13:27 EST

  None (edit)
Description Fedora Release Engineering 2016-02-13 15:59:22 EST
Your package abiword failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12805445

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 15:59:26 EST
Created attachment 1123982 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 15:59:27 EST
Created attachment 1123983 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 15:59:28 EST
Created attachment 1123984 [details]
state.log
Comment 4 Yaakov Selkowitz 2016-02-23 13:27:44 EST
Upstream bug: http://bugzilla.abisource.com/show_bug.cgi?id=13754
Comment 6 Jan Kurik 2016-02-24 09:32:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 7 Yaakov Selkowitz 2016-03-08 00:33:07 EST
The Debian patch allows the build to continue further, until:

tls_tunnel.cpp: In member function 'tls_tunnel::session_ptr_t tls_tunnel::ClientProxy::setup_tls_session(tls_tunnel::socket_ptr_t)':
tls_tunnel.cpp:403:66: error: 'gnutls_kx_set_priority' was not declared in this scope
  return_val_if_neg(gnutls_kx_set_priority(*session_ptr,PRIORITIES), session_ptr_t());
tls_tunnel.cpp:404:67: error: 'gnutls_cipher_set_priority' was not declared in this scope
  return_val_if_neg(gnutls_cipher_set_priority(*session_ptr,CIPHERS), session_ptr_t());

There is a patch floating about which simply removes these calls but I'm not entirely sure it is correct; AFAIK these should be replaced by a call to gnutls_priority_set_direct().
Comment 8 Upstream Release Monitoring 2016-04-10 12:21:01 EDT
pbrobinson's abiword-3.0.1-10.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=753092
Comment 9 Fedora Update System 2016-04-10 12:24:59 EDT
abiword-3.0.1-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2b50bf94f8
Comment 10 Fedora Update System 2016-04-10 12:25:08 EDT
abiword-3.0.1-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5749c2a661
Comment 11 Upstream Release Monitoring 2016-04-10 16:24:54 EDT
pbrobinson's abiword-3.0.1-11.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=753189
Comment 12 Fedora Update System 2016-04-11 06:19:39 EDT
abiword-3.0.1-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5749c2a661
Comment 13 Fedora Update System 2016-04-13 05:29:04 EDT
abiword-3.0.1-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2b50bf94f8
Comment 14 Fedora Update System 2016-04-14 23:18:55 EDT
abiword-3.0.1-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-04-25 19:54:41 EDT
abiword-3.0.1-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.